Last Comment Bug 493111 - "ASSERTION: Range index not returned"
: "ASSERTION: Range index not returned"
Status: RESOLVED FIXED
: assertion, regression, testcase
Product: Core
Classification: Components
Component: Selection (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: mozilla1.9.3a1
Assigned To: Graeme McCutcheon [:graememcc]
:
:
Mentors:
Depends on: 673785 766181
Blocks: 348681
  Show dependency treegraph
 
Reported: 2009-05-14 15:59 PDT by Jesse Ruderman
Modified: 2012-06-19 10:09 PDT (History)
3 users (show)
jruderman: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
beta1-fixed


Attachments
Patch v1 (1.92 KB, patch)
2009-09-19 15:18 PDT, Graeme McCutcheon [:graememcc]
roc: review+
dbaron: approval1.9.2+
Details | Diff | Splinter Review

Description Jesse Ruderman 2009-05-14 15:59:31 PDT
editor/libeditor/html/crashtests/336081-1.xhtml

triggers

###!!! ASSERTION: Range index not returned: 'rangeIndex >= 0', file /Users/jruderman/central/layout/generic/nsSelection.cpp, line 4990
Comment 1 Graeme McCutcheon [:graememcc] 2009-09-19 15:18:57 PDT
Created attachment 401669 [details] [diff] [review]
Patch v1

More fallout from bug 348681.

The "overlap" case in AddItem fails to correctly set aOutIndex, triggering the assertion.
Comment 2 Graeme McCutcheon [:graememcc] 2009-09-22 14:31:37 PDT
http://hg.mozilla.org/mozilla-central/rev/8cfc5c84bddf
Comment 3 Graeme McCutcheon [:graememcc] 2009-09-22 14:57:25 PDT
Comment on attachment 401669 [details] [diff] [review]
Patch v1

Requesting a1.9.2 for a trivial fix: aside from the assertion spew in debug builds, in certain circumstances this could cause unpredictable behaviour when performing multiple selections, as failing to return the index of the new range would lead to the focus and anchor nodes being reported as null.
Comment 4 David Baron :dbaron: ⌚️UTC-7 2009-09-22 15:37:12 PDT
Comment on attachment 401669 [details] [diff] [review]
Patch v1

a1.9.2=dbaron

But you should add showfunc = 1 to the [diff] section of your ~/.hgrc .
Comment 5 Graeme McCutcheon [:graememcc] 2009-09-23 05:00:30 PDT
http://hg.mozilla.org/releases/mozilla-1.9.2/rev/8eb768b8bccd

Note You need to log in before you can comment on or make changes to this bug.